Skip to content

Jimeng task query

After submitting a Jimeng task, poll status and results by task ID through the OpenAI-compatible endpoint.

http
GET /v1/videos/{task_id}

Replace {task_id} in the path with the task ID returned by Video generation. When complete, read the result from video_url.

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example:

Request parameters

NameTypeRequiredDescription
stringYesPath parameter. Same as the id returned by the generation endpoint

Request example

bash
curl https://octopusx.ai/v1/videos/video_123 \
  -H "Authorization: Bearer <token>"

Response example

json
{
  "id": "video_123",
  "object": "video",
  "model": "jimeng-video-3.0",
  "status": "queued",
  "progress": 0,
  "created_at": 1712697600,
  "video_url": ""
}
json
{
  "id": "video_123",
  "object": "video",
  "model": "jimeng-video-3.0",
  "status": "completed",
  "progress": 100,
  "created_at": 1712697600,
  "video_url": "https://example.com/video.mp4"
}

Response fields

NameTypeDescription
stringTask ID
stringAlways
stringModel actually used
stringTask status: , , , , and others
integerProgress percentage
integerCreation timestamp
stringVideo result URL